<template>
  <div>
    <el-dialog
      title="查看基础信息"
      :visible="visible"
      :before-close="handleClose"
      custom-class="bbsl-location-dialog"
      width="70%"
    >
      <div>
        <el-form ref="formInfo" :model="parameter" label-width="150px" disabled>
          <el-collapse
            accordion
            v-model="activeCollapse1"
            class="form-collapse"
          >
            <el-collapse-item name="1">
              <template slot="title">
                <span class="collapse-title">
                  <i class="collapse-title-icon el-icon-info"></i>
                  预警基础信息
                </span>
              </template>
              <el-row>
                <el-col :span="8">
                  <el-form-item label="告警设备标识：" prop="deviceCode">
                    <el-input
                      clearable
                      placeholder="请输入告警设备标识"
                      v-model="parameter.deviceCode"
                    ></el-input>
                  </el-form-item>
                </el-col>
                <el-col :span="8">
                  <el-form-item label="告警名称：" prop="warnName">
                    <el-input
                      clearable
                      placeholder="请输入告警名称"
                      v-model="parameter.warnName"
                    ></el-input>
                  </el-form-item>
                </el-col>
                <el-col :span="8">
                  <el-form-item label="告警时间：" prop="warnTime">
                    <el-input
                      clearable
                      placeholder="请输入告警时间"
                      v-model="parameter.warnTime"
                    ></el-input>
                  </el-form-item>
                </el-col>
              </el-row>
              <el-row>
                <el-col :span="8">
                  <el-form-item label="告警类型：" prop="warnType">
                    <el-input
                      clearable
                      placeholder="请输入告警类型"
                      v-model="parameter.warnType"
                    ></el-input>
                  </el-form-item>
                </el-col>
                <el-col :span="8">
                  <el-form-item label="告警阈值：" prop="warnThreshold">
                    <el-input
                      clearable
                      placeholder="请输入告警阈值"
                      v-model="parameter.warnThreshold"
                    ></el-input>
                  </el-form-item>
                </el-col>
                <el-col :span="8">
                  <el-form-item label="处理状态：" prop="handleStatus">
                    <el-input
                      clearable
                      placeholder="请输入处理状态"
                      v-model="parameter.handleStatus"
                    ></el-input>
                  </el-form-item>
                </el-col>
              </el-row>
              <el-row>
                <el-col :span="8">
                  <el-form-item label="处理时间：" prop="handleTime">
                    <el-input
                      clearable
                      placeholder="请输入处理时间"
                      v-model="parameter.handleTime"
                    ></el-input>
                  </el-form-item>
                </el-col>
                <el-col :span="8">
                  <el-form-item label="处理进度：" prop="handleCompletion">
                    <el-input
                      clearable
                      placeholder="请输入处理进度"
                      v-model="parameter.handleCompletion"
                    ></el-input>
                  </el-form-item>
                </el-col>
              </el-row>
              <el-row>
                <el-col :span="24">
                  <el-form-item label="告警缘由：" prop="warnReason">
                    <el-input
                      type="textarea"
                      :autosize="{minRows: 2}"
                      placeholder="请输入告警缘由"
                      v-model="parameter.warnReason"
                    >
                    </el-input>
                  </el-form-item>
                </el-col>
                <el-col :span="24">
                  <el-form-item label="处理结果：" prop="handleResult">
                    <el-input
                      type="textarea"
                      :autosize="{minRows: 2}"
                      placeholder="请输入处理结果"
                      v-model="parameter.handleResult"
                    >
                    </el-input>
                  </el-form-item>
                </el-col>
              </el-row>
            </el-collapse-item>
          </el-collapse>
        </el-form>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-button @click="handleClose">取 消</el-button>
      </span>
    </el-dialog>
  </div>
</template>
  
  <script>
export default {
  name: 'warning',
  data() {
    return {
      visible: false,
      activeCollapse1: '1',
      ctlTypeList: '',
      active: 1,
      parameter: {},
    }
  },
  created() {},
  mounted() {},
  methods: {
    add(val) {
      this.visible = true
      this.parameter = val
    },
    // 关闭新增人员窗口
    handleClose() {
      this.visible = false
      this.activeCollapse1 = '1'
      this.parameter = {}
    },
  },
}
</script>
  
  <style lang="scss" scoped>
</style>
  